#include <3ds.h>
#include <stdio.h>
#include <string.h>

int main()
{
	gfxInitDefault();
	//gfxSet3D(true); // uncomment if using stereoscopic 3D
    consoleInit(GFX_TOP, NULL);
    printf("\x1b[0;0HPress one of the following keys:");
    printf("\x1b[1;0HKey A adds 10 and 20 ");
    printf("\x1b[2;0HKey B divides 40 and 20 ");
    printf("\x1b[3;0HKey X multiplies 20 and 20 ");
    printf("\x1b[4;0HKey Y subtracts 30 and 20 ");


    consoleInit(GFX_BOTTOM, NULL);
    // Main loop
	while (aptMainLoop())
	{
		gspWaitForVBlank();
		hidScanInput();

	

		u32 kDown = hidKeysDown();
		if (kDown & KEY_START)
			break; // break in order to return to hbmenu
		

		if (kDown & KEY_A)
			printf("\x1b[10;18H%d", (int) (10+20));

		if (kDown & KEY_B)
			printf("\x1b[11;18H%d", (int) (40/20));

		if (kDown & KEY_X)
			printf("\x1b[12;18H%d", (int) (20*20));

		if (kDown & KEY_Y)
			printf("\x1b[13;18H%d", (int) (30-20));





		// Flush and swap framebuffers
		gfxFlushBuffers();
		gfxSwapBuffers();
	}

	gfxExit();
	return 0;
}
